;Dolphin SAM driver prompt file for 00044 UK English

;The character sets specify the set of speakable characters for a given language ROM.
;All are enclosed in double quote characters

;Note, codepage is now ignored, all characters are taken as being from the
;ANSI character set (cp 1252). For unicode chars outside this range,
;enter \xxxx where xxxx is the four digit hexadecimal value of the char,
;for example, Greek lower case alpha is \03b1.
;This scheme applies to all prompts, not just charsets

[charset_358]

;text contains all the characters that make up words
text="0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyzÄĒÉŃÖÜąįāäēčéźėģķīļńņóōöłśūü’"

;modifiers never produce sound themselves but modify the sounds of other chars
mod=" !',.:;?\02bc"

;spelt chars are those which are ALWAYS spelt by the driver
spell="\0022#$%&()*+-/<=>@[\005c]^_`{|}~£°±¼½"

; Any characters above that will not correctly spell
; using the synth's @P1 command should be included below
; If space does not appear below it will be replaced with "@S1 @S0" by the driver
spellreplace0=" VÄLI"
spellreplace1="'YLÄPILKKU"
spellreplace2="@MIUKU"
spellreplace3="aAA"
spellreplace4="AAA"
spellreplace5="_ALLEVIIVA"

[language] ; ROM descriptions
L00001="U S Englanti"
L00007="Venäjä"
L01007="Venäjä"
L00020="Arabia"
L00030="Kreikka"
L00031="Hollanti"
L00033="Ranska"
L00034="Kastilian Espanja"
L10034="Katalonia"
L00036="Unkari"
L00038="Serbo-Kroatia (codepage 852)"
L10038="Kroatia (codepage 437)"
L00039="Italia"
L00040="Romania"
L00042="Tsekki"
L01042="Tsekki"
L10042="Slovakia"
L11042="Slovakia"
L00044="U K Englanti"
L10044="Welsh"
L00045="Tanska"
L00046="Ruotsi"
L00047="Norja"
L00048="Puola"
L00049="Saksa"
L00052="Latinalaisen Amerikan Espanja"
L00055="Brasilian Portugali"
L00060="Malaji"
L00062="Indonesia"
L00064="Maori"
L00081="Japani"
L00090="Turkki"
L00091="Hindi"
L00245="Swahili"
L00351="Portugali"
L00353="Irlanti"
L00354="Islanti"
L00356="Malta"
L00358="Suomi"
L00359="Bulgaria"
L00370="Liettua"
L00386="Slovenia"
L00972="Hebrea"
L07095="Venäjä"
L00000="Tuntematon kieli"

[slots]	; for v1 ROMS when we can't read the language table
L0="Rom Slot 1"
L1="Rom Slot 2"
L2="Rom Slot 3"
L3="Rom Slot 4"
L4="Rom Slot 5"
L5="Rom Slot 6"
L6="Rom Slot 7"

[speakertable]
P0="Mies"
P1="Ei Mies"

[hypermode]
P0="Pois"
P1="Päällä"
	
[voicesource]
P0="Oletusmies"
P1="Oletusnainen"
P2="Terävä miesääni"
P3="Terävä naisääni"
P4="Madallettu miesääni"
P5="Madallettu naisääni"
P6="Miesääni, jossa korkeita leikattu"
P7="Naisääni, jossa korkeita leikattu"


[params]	;parameter descriptions
LANGUAGE="Kieli"
SPEED="Nopeus"
VOLUME="Voimakkuus"
PITCH="Korkeus"
PROSODY="Sävy"
VOICING="Ääniteho"
WORDPAUSE="Sanatauko"
PHRASEPAUSE="Lausetauko"
HYPERMODE="Hypertila"
MSRATIO="Merkkiväli"
VOICESOURCE="Äänilähde"
SPEAKERTABLE="Äänitaulukko"

[voices]
V0=John
V1=Henry
V2=Sidney
V3=Bill
V4=Susan
V5=Carol
V6=Laura

[number rules]
>9 digits split=
/000000000tuhat miljoonaa=
/0000000++tuhat miljoonaa=
/000++++??tuhat miljoonaa,=
/0++??????tuhat=
/+????????tuhat,=

>6 digits split=
/000000miljoona=
/0000++miljoonaa=
/++++??miljoonaa,=

>3 digits split=
/000tuhat=
/0++tuhatta=
/+??tuhatta,=

>2 digits split=
/00sata=
/++sataa=


;
;  the [number replace] section must either contain 10 or 100 entries
;  for the replacement of 0 to 9 or the replacement of 0 to 99
[number replace]
nolla=
yksi=
kaksi=
kolme=
neljä=
viisi=
kuusi=
seitsemän=
kahdeksan=
yhdeksän=
kymmenen=
yksitoista=
kaksitoista=
kolmetoista=
neljätoista=
viisitoista=
kuusiutoista=
seitsemäntoista=
kahdeksantoista=
yhdeksäntoista=
kaksikymmentä=
kaksikymmentäyksi=
kaksikymmentäkaksi=
kaksikymmentäkolme=
kaksikymmentäneljä=
kaksikymmentäviisi=
kaksikymmentäkuusi=
kaksikymmentäseitsemän=
kaksikymmentäkahdeksan=
kaksikymmentäyhdeksän=
kolmekymmentä=
kolmekymmentäyksi=
kolmekymmentäkaksi=
kolmekymmentäkolme=
kolmekymmentäneljä=
kolmekymmentäviisi=
kolmekymmentäkuusi=
kolmekymmentäseitsemän=
kolmekymmentäkahdeksan=
kolmekymmentäyhdeksän=
neljäkymmentä=
neljäkymmentäyksi=
neljäkymmentäkaksi=
neljäkymmentäkolme=
neljäkymmentäneljä=
neljäkymmentäviisi=
neljäkymmentäkuusi=
neljäkymmentäseitsemän=
neljäkymmentäkahdeksan=
neljäkymmentäyhdeksän=
viisikymmentä=
viisikymmentäyksi=
viisikymmentäkaksi=
viisikymmentäkolme=
viisikymmentäneljä=
viisikymmentäviisi=
viisikymmentäkuusi=
viisikymmentäseitsemän=
viisikymmentäkahdeksan=
viisikymmentäyhdeksän=
kuusikymmentä=
kuusikymmentäyksi=
kuusikymmentäkaksi=
kuusikymmentäkolme=
kuusikymmentäneljä=
kuusikymmentäviisi=
kuusikymmentäkuusi=
kuusikymmentäseitsemän=
kuusikymmentäkahdeksan=
kuusikymmentäyhdeksän=
seitsemänkymmentä=
seitsemänkymmentäyksi=
seitsemänkymmentäkaksi=
seitsemänkymmentäkolme=
seitsemänkymmentäneljä=
seitsemänkymmentäviisi=
seitsemänkymmentäkuusi=
seitsemänkymmentäseitsemän=
seitsemänkymmentäkahdeksan=
seitsemänkymmentäyhdeksän=
kahdeksankymmentä=
kahdeksankymmentäyksi=
kahdeksankymmentäkaksi=
kahdeksankymmentäkolme=
kahdeksankymmentäneljä=
kahdeksankymmentäviisi=
kahdeksankymmentäkuusi=
kahdeksankymmentäseitsemän=
kahdeksankymmentäkahdeksan=
kahdeksankymmentäyhdeksän=
yhdeksänkymmentä=
yhdeksänkymmentäyksi=
yhdeksänkymmentäkaksi=
yhdeksänkymmentäkolme=
yhdeksänkymmentäneljä=
yhdeksänkymmentäviisi=
yhdeksänkymmentäkuusi=
yhdeksänkymmentäseitsemän=
yhdeksänkymmentäkahdeksan=
yhdeksänkymmentäyhdeksän=

